export default (function () {
  return {
    getConsentStatus: function getConsentStatus() {
      return new Promise(function (resolve, reject) {
        window.__cmp('getConsentStatus', null, function (consentStatus, success) {
          if (success) {
            resolve(consentStatus);
          } else {
            reject(success);
          }
        });
      });
    },
    getVendorConsents: function getVendorConsents() {
      return new Promise(function (resolve, reject) {
        window.__cmp('getVendorConsents', null, function (consents, success) {
          if (success) {
            resolve(consents);
          } else {
            reject(success);
          }
        });
      });
    },
    getPurposesAndVendors: function getPurposesAndVendors() {
      return new Promise(function (resolve, reject) {
        window.__cmp('getVendorList', null, function (purposeAndVendors, success) {
          if (success) {
            resolve(purposeAndVendors);
          } else {
            reject(success);
          }
        });
      });
    },
    sendConsents: function sendConsents(_ref) {
      var purposeConsents = _ref.purposeConsents,
          vendorConsents = _ref.vendorConsents;
      var consents = {
        purposeConsents: purposeConsents,
        vendorConsents: vendorConsents
      };
      return new Promise(function (resolve, reject) {
        window.__cmp('setVendorConsents', consents, function (result, success) {
          if (success) {
            resolve(result);
          } else {
            reject(success);
          }
        });
      });
    }
  };
});