import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import _objectSpread from "@babel/runtime/helpers/esm/objectSpread";
export default function (_ref) {
  var repository = _ref.repository;

  var loadDefaultConsents = function loadDefaultConsents(_ref2) {
    var repository = _ref2.repository;
    return repository.getPurposesAndVendors().then(function (purposesAndVendors) {
      return _objectSpread({}, purposesAndVendors, generateDefaultConsentsObject(purposesAndVendors));
    });
  };

  var loadStoredConsents = function loadStoredConsents(_ref3) {
    var repository = _ref3.repository;
    return Promise.all([repository.getPurposesAndVendors(), repository.getVendorConsents()]).then(function (_ref4) {
      var _ref5 = _slicedToArray(_ref4, 2),
          purposesAndVendors = _ref5[0],
          consents = _ref5[1];

      return _objectSpread({}, purposesAndVendors, {
        purposeConsents: consents.purposeConsents,
        vendorConsents: consents.vendorConsents
      });
    })["catch"](loadDefaultConsents);
  };

  var generateConsent = function generateConsent(_ref6) {
    var list = _ref6.list;
    return list.reduce(function (acc, _ref7) {
      var id = _ref7.id;
      acc[id.toString()] = true;
      return acc;
    }, {});
  };

  var generateDefaultConsentsObject = function generateDefaultConsentsObject(_ref8) {
    var purposes = _ref8.purposes,
        vendors = _ref8.vendors;
    return {
      purposeConsents: generateConsent({
        list: purposes
      }),
      vendorConsents: generateConsent({
        list: vendors
      })
    };
  };

  return {
    execute: function execute(_temp) {
      var _ref9 = _temp === void 0 ? {} : _temp,
          retrieveConsentsFromCmp = _ref9.retrieveConsentsFromCmp;

      return Promise.resolve(retrieveConsentsFromCmp).then(function (retrieve) {
        return retrieve ? loadStoredConsents({
          repository: repository
        }) : loadDefaultConsents({
          repository: repository
        });
      });
    }
  };
}