import borosCmp from '@schibstedspain/boros-cmp/lib';
import getConsentStatusUseCase from './GetConsentStatusUseCase';
import getPurposesAndVendorsUseCase from './GetPurposesAndVendorsUseCase';
import sendConsentsUseCase from './SendConsentsUseCase';
import cmpRepository from '../repository/cmpRepository';
var repository = cmpRepository();
export default function getUseCases() {
  return borosCmp.init().then(function () {
    return {
      getConsentStatus: getConsentStatusUseCase({
        repository: repository
      }),
      getPurposesAndVendors: getPurposesAndVendorsUseCase({
        repository: repository
      }),
      sendConsents: sendConsentsUseCase({
        repository: repository
      })
    };
  });
}